Package de.willuhn.jameica.hbci.gui.controller

# Class AuslandsUeberweisungControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AuslandsUeberweisungControl

public class AuslandsUeberweisungControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer Auslandsueberweisungen.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`AuslandsUeberweisungControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`AuslandsUeberweisungList`
`getAuslandsUeberweisungListe()`
Liefert die Liste der Auslandsueberweisungen.
`de.willuhn.jameica.gui.input.Input`
`getBetrag()`
Liefert das Eingabe-Feld fuer den Betrag.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerBic()`
Liefert das Eingabe-Feld fuer die BIC.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerKonto()`
Liefert das Eingabe-Feld fuer den Empfaenger.
`AddressInput`
`getEmpfaengerName()`
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.
`de.willuhn.jameica.gui.input.Input`
`getEndToEndId()`
Liefert das Eingabe-Feld fuer die End2End-ID.
`de.willuhn.jameica.gui.input.Input`
`getKontoAuswahl()`
Liefert ein Auswahlfeld fuer das Konto.
`de.willuhn.jameica.gui.input.Input`
`getPmtInfId()`
Liefert das Eingabe-Feld fuer die PmtInf-ID.
`de.willuhn.jameica.gui.input.Input`
`getPurposeCode()`
Liefert das Eingabe-Feld fuer den Purpose-Code.
`ReminderIntervalInput`
`getReminderInterval()`
Liefert das Intervall fuer die zyklische Ausfuehrung.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getSaveTyp()`
Liefert eine Checkbox, mit der eingestellt werden kann, ob die Vorauswahl des Auftragstyps gespeichert werden soll.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getStoreEmpfaenger()`
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.
`TerminInput`
`getTermin()`
Liefert das Eingabe-Feld fuer den Termin.
`AuslandsUeberweisung`
`getTransfer()`
`de.willuhn.jameica.gui.input.SelectInput`
`getTyp()`
Liefert eine Combobox zur Auswahl des Auftragstyps.
`de.willuhn.jameica.gui.input.Input`
`getZweck()`
Liefert das Eingabe-Feld fuer den Verwendungszweck.
`de.willuhn.jameica.gui.input.Input`
`getZweckPreview()`
Liefert die Vorschau auf den Verwendungszweck
`boolean`
`handleStore()`
Speichert den Geld-Transfer.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuslandsUeberweisungControl

public AuslandsUeberweisungControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getTransfer

public AuslandsUeberweisung getTransfer() throws RemoteException

Returns:
  der Auftrag
Throws:
  `RemoteException`

### getAuslandsUeberweisungListe

public AuslandsUeberweisungList getAuslandsUeberweisungListe() throws RemoteException
Liefert die Liste der Auslandsueberweisungen.

Returns:
  Liste der Auslandsueberweisungen.
Throws:
  `RemoteException`

### getKontoAuswahl

public de.willuhn.jameica.gui.input.Input getKontoAuswahl() throws RemoteException
Liefert ein Auswahlfeld fuer das Konto.

Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`

### getEmpfaengerName

public AddressInput getEmpfaengerName() throws RemoteException
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerKonto

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerKonto() throws RemoteException
Liefert das Eingabe-Feld fuer den Empfaenger.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerBic

public de.willuhn.jameica.gui.input.Input getEmpfaengerBic() throws RemoteException
Liefert das Eingabe-Feld fuer die BIC.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEndToEndId

public de.willuhn.jameica.gui.input.Input getEndToEndId() throws RemoteException
Liefert das Eingabe-Feld fuer die End2End-ID.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getPmtInfId

public de.willuhn.jameica.gui.input.Input getPmtInfId() throws RemoteException
Liefert das Eingabe-Feld fuer die PmtInf-ID.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getPurposeCode

public de.willuhn.jameica.gui.input.Input getPurposeCode() throws RemoteException
Liefert das Eingabe-Feld fuer den Purpose-Code.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweck

public de.willuhn.jameica.gui.input.Input getZweck() throws RemoteException
Liefert das Eingabe-Feld fuer den Verwendungszweck.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweckPreview

public de.willuhn.jameica.gui.input.Input getZweckPreview() throws RemoteException
Liefert die Vorschau auf den Verwendungszweck

Returns:
  die Vorschau auf den Verwendungszweck.
Throws:
  `RemoteException`

### getBetrag

public de.willuhn.jameica.gui.input.Input getBetrag() throws RemoteException
Liefert das Eingabe-Feld fuer den Betrag.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getTermin

public TerminInput getTermin() throws RemoteException
Liefert das Eingabe-Feld fuer den Termin.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getReminderInterval

public ReminderIntervalInput getReminderInterval() throws Exception
Liefert das Intervall fuer die zyklische Ausfuehrung.

Returns:
  Auswahlfeld.
Throws:
  `Exception`

### getStoreEmpfaenger

public de.willuhn.jameica.gui.input.CheckboxInput getStoreEmpfaenger() throws RemoteException
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.

Returns:
  CheckBox.
Throws:
  `RemoteException`

### getTyp

public de.willuhn.jameica.gui.input.SelectInput getTyp() throws RemoteException
Liefert eine Combobox zur Auswahl des Auftragstyps. Zur Wahl stehen Ueberweisung, Termin-Ueberweisung und Umbuchung.

Returns:
  die Combobox.
Throws:
  `RemoteException`

### getSaveTyp

public de.willuhn.jameica.gui.input.CheckboxInput getSaveTyp() throws RemoteException
Liefert eine Checkbox, mit der eingestellt werden kann, ob die Vorauswahl des Auftragstyps gespeichert werden soll.

Returns:
  Checkbox.
Throws:
  `RemoteException`

### handleStore

public boolean handleStore()
Speichert den Geld-Transfer.

Returns:
  true, wenn das Speichern erfolgreich war, sonst false.